> ## Documentation Index
> Fetch the complete documentation index at: https://docs.avidoai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get task IDs

> Retrieves a list of task IDs with optional filtering.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/tasks/ids
openapi: 3.1.1
info:
  title: Avido API
  description: >-
    Avido's API for LLM usage events, tool calls, trace management, webhook
    validation, and more. See each endpoint's request/response schema for
    details.
  version: 0.1.0
  contact:
    name: Avido Support
    email: support@avidoai.com
    url: https://avidoai.com/support
servers:
  - url: https://api.avidoai.com
    description: Production API
security:
  - ApiKey: []
    ApplicationId: []
paths:
  /v0/tasks/ids:
    get:
      tags:
        - Tasks
      summary: Get task IDs
      description: Retrieves a list of task IDs with optional filtering.
      operationId: getTaskIds
      parameters:
        - in: query
          name: topicId
          schema:
            description: Filter tasks by topic ID
            example: 789e4567-e89b-12d3-a456-426614174000
            type: array
            items:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: Filter tasks by topic ID
        - in: query
          name: status
          schema:
            description: Filter tasks by status
            example:
              - success
              - warning
            type: array
            items:
              type: string
              enum:
                - success
                - warning
                - error
                - no-tests
          description: Filter tasks by status
        - in: query
          name: evalDefinitionId
          schema:
            description: Filter tasks by eval definition ID
            example: 123e4567-e89b-12d3-a456-426614174000
            type: array
            items:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: Filter tasks by eval definition ID
        - in: query
          name: tagId
          schema:
            description: Filter tasks by tag ID
            example: 789e4567-e89b-12d3-a456-426614174000
            type: array
            items:
              type: string
          description: Filter tasks by tag ID
        - in: query
          name: search
          schema:
            description: >-
              Search tasks by title or description (case-insensitive partial
              match)
            example: credit card
            type: string
          description: >-
            Search tasks by title or description (case-insensitive partial
            match)
        - in: query
          name: confidenceLevel
          schema:
            description: Filter tasks by confidence level.
            example:
              - HIGH
              - MEDIUM
            type: array
            items:
              $ref: '#/components/schemas/ConfidenceLevel'
          description: Filter tasks by confidence level.
        - in: query
          name: stabilityLevel
          schema:
            description: Filter tasks by stability level.
            example:
              - HIGH
              - MEDIUM
            type: array
            items:
              $ref: '#/components/schemas/StabilityLevel'
          description: Filter tasks by stability level.
        - in: query
          name: healthScoreLevel
          schema:
            description: Filter tasks by health score level.
            example:
              - HIGH
              - MEDIUM
            type: array
            items:
              type: string
              enum:
                - HIGH
                - MEDIUM
                - LOW
              title: HealthScoreLevel
              description: 'Health score level: HIGH (90-100), MEDIUM (60-89), LOW (0-59).'
              example: HIGH
          description: Filter tasks by health score level.
        - in: query
          name: scheduleCriticality
          schema:
            description: >-
              Filter tasks by schedule criticality (HIGH = daily, MEDIUM =
              weekly, LOW = bi-weekly). Only returns tasks that have a schedule
              with one of the specified criticality levels.
            example:
              - HIGH
              - MEDIUM
            type: array
            items:
              type: string
              enum:
                - LOW
                - MEDIUM
                - HIGH
          description: >-
            Filter tasks by schedule criticality (HIGH = daily, MEDIUM = weekly,
            LOW = bi-weekly). Only returns tasks that have a schedule with one
            of the specified criticality levels.
      responses:
        '200':
          description: Successfully retrieved task IDs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIdsResponse'
              examples:
                empty:
                  summary: Empty results
                  value:
                    data: []
                success:
                  summary: List of task IDs
                  value:
                    data:
                      - 123e4567-e89b-12d3-a456-426614174000
                      - 223e4567-e89b-12d3-a456-426614174001
                      - 323e4567-e89b-12d3-a456-426614174002
        '400':
          description: bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
        '500':
          description: internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ConfidenceLevel:
      type: string
      enum:
        - HIGH
        - MEDIUM
        - LOW
      title: ConfidenceLevel
      description: >-
        Statistical confidence level based on the width of the 95% confidence
        interval around the pass rate.
      example: HIGH
    StabilityLevel:
      type: string
      enum:
        - HIGH
        - MEDIUM
        - LOW
      title: StabilityLevel
      description: >-
        Score stability level based on the standard deviation of evaluation
        scores.
      example: HIGH
    TaskIdsResponse:
      type: object
      properties:
        taskIds:
          type: array
          items:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: Array of task IDs
          example:
            - 123e4567-e89b-12d3-a456-426614174000
            - 223e4567-e89b-12d3-a456-426614174001
      required:
        - taskIds
      additionalProperties: false
      title: Task IDs Response
      description: Response containing an array of task IDs
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable error message explaining the error.
          example: Resource not found
      required:
        - message
      additionalProperties: false
      title: ErrorResponse
      description: Standard error format for failed API operations.
    ValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable error message indicating what went wrong.
          example: Invalid request data
        issues:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              message:
                type: string
              path:
                type: array
                items:
                  type: string
            required:
              - code
              - message
              - path
            additionalProperties: false
          description: Array of detailed validation error objects.
          example:
            - code: invalid_string
              message: Invalid UUID
              path:
                - id
      required:
        - message
        - issues
      additionalProperties: false
      title: ValidationErrorResponse
      description: Details about validation errors in incoming requests.
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Your unique Avido API key
    ApplicationId:
      type: apiKey
      in: header
      name: x-application-id
      description: Your unique Avido Application ID

````